/*
 * QtNumericalItem.hpp
 *
 *  Created on: Sep 1, 2016
 *      Author: heber
 */


#ifndef UIELEMENTS_VIEWS_QT4_QTNUMERICALITEM_HPP_
#define UIELEMENTS_VIEWS_QT4_QTNUMERICALITEM_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <QTreeWidgetItem>

#include <vector>

class QTreeWidget;

class QtNumericalItem : public QTreeWidgetItem
{
public:
  QtNumericalItem(const int index_column, const std::vector<int> &_numerical_columns, QTreeWidget *parent = 0) :
    QTreeWidgetItem(parent),
    int_column(index_column),
    viewnum_columns(_numerical_columns)
  {}

  bool operator<(const QTreeWidgetItem &_item) const;

private:
  //!> index column which needs to be compared numerically
  const int int_column;
  //!> such that we know that we need to check numerically
  const std::vector<int> viewnum_columns;
};

#endif /* UIELEMENTS_VIEWS_QT4_QTNUMERICALITEM_HPP_ */
